> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create claim



## OpenAPI

````yaml /openapi.json post /claims
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /claims:
    post:
      tags:
        - claims
      summary: Create claim
      operationId: ClaimsController_create
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateClaimInputBody'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateClaimOutput'
        '400':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/MissingTenantErrorDto'
                  - $ref: '#/components/schemas/InvalidClaimCategoryErrorDto'
              examples:
                MISSING_TENANT:
                  $ref: '#/components/schemas/MissingTenantErrorDto'
                INVALID_CLAIM_CATEGORY:
                  $ref: '#/components/schemas/InvalidClaimCategoryErrorDto'
          description: ''
        '409':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/ConflictingConfigErrorDto'
              examples:
                CONFLICTING_CONFIG:
                  $ref: '#/components/schemas/ConflictingConfigErrorDto'
          description: ''
components:
  schemas:
    CreateClaimInputBody:
      type: object
      properties:
        customFields:
          description: custom fields per product
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldDto'
        name:
          type: string
          description: 'Optional: Name of the entity'
        description:
          type: string
        occurredAt:
          format: date-time
          type: string
        createdAt:
          format: date-time
          type: string
        responsibility:
          type: string
        category:
          type: string
          description: the amount of money that an insurance company sets aside to cover
        reserve:
          type: number
        metadata:
          description: metadata assigned to the object
          type: array
          items:
            $ref: '#/components/schemas/Metadata'
        externalId:
          type: string
      required:
        - externalId
    CreateClaimOutput:
      type: object
      properties:
        metadata:
          description: metadata assigned to the object
          type: array
          items:
            $ref: '#/components/schemas/Metadata'
        customFields:
          description: custom fields per product
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldDto'
        name:
          type: string
          description: 'Optional: Name of the entity'
        description:
          type: string
        occurredAt:
          format: date-time
          type: string
        createdAt:
          format: date-time
          type: string
        responsibility:
          type: string
        category:
          type: string
          description: the amount of money that an insurance company sets aside to cover
        reserve:
          type: number
        type:
          type: string
        id:
          type: string
        externalId:
          type: string
      required:
        - metadata
        - occurredAt
        - createdAt
        - type
        - id
        - externalId
    MissingTenantErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - MISSING_TENANT
        message:
          type: string
          example: Missing tenant header
        details:
          $ref: '#/components/schemas/MissingTenantDetailsDto'
      required:
        - code
        - message
        - details
    InvalidClaimCategoryErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_CLAIM_CATEGORY
        message:
          type: string
          example: >-
            Invalid claim category {category}, available categories are
            {availableCategories}
        details:
          $ref: '#/components/schemas/InvalidClaimCategoryDto'
      required:
        - code
        - message
        - details
    ConflictingConfigErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - CONFLICTING_CONFIG
        message:
          type: string
          example: Config field {configField} {requirement} {value} to perform {action}
        details:
          $ref: '#/components/schemas/ConflictingConfigDetailsDto'
      required:
        - code
        - message
        - details
    CustomFieldDto:
      type: object
      properties:
        key:
          type: string
        value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
      required:
        - key
        - value
    Metadata:
      type: object
      properties:
        key:
          type: string
          description: the key of the metadata
        value:
          type: string
          description: the value of the metadata
      required:
        - key
        - value
    MissingTenantDetailsDto:
      type: object
      properties: {}
    InvalidClaimCategoryDto:
      type: object
      properties:
        category:
          type: string
        availableCategories:
          type: array
          items:
            type: array
      required:
        - category
        - availableCategories
    ConflictingConfigDetailsDto:
      type: object
      properties:
        configField:
          type: string
        requirement:
          allOf:
            - $ref: '#/components/schemas/OperationRequirement'
        value:
          type: string
        action:
          allOf:
            - $ref: '#/components/schemas/Action'
      required:
        - configField
        - requirement
        - value
        - action
    OperationRequirement:
      type: string
      enum:
        - must be
        - must NOT be
        - must contain
        - must NOT contain
    Action:
      type: string
      enum:
        - PERFORM THIS ACTION
        - CREATE POLICY
        - CREATE ASSET
        - CREATE ASSET WITH START DATE
        - REPLACE ASSET
        - REMOVE ASSET
        - CHOOSE ASSET OPTIONS
        - STOP ASSET
        - EDIT ASSET
        - EDIT ASSET WITH START DATE
        - CREATE BRANCH
        - CREATE DEROGATION
        - CREATE MTA BRANCH
        - FORK TO NEW MTA BRANCH
        - FORK TO NEW NB BRANCH
        - FORK TO NEW RENEWAL BRANCH
        - FORK TO NEW REPRICING BRANCH
        - DEFINE PARENT POLICY ID
        - INITIALIZE CUSTOMER
        - EDIT CUSTOMER
        - DELETE CUSTOMER FROM POLICY
        - DECLARE CLAIMS HISTORY
        - SIGN
        - EDIT POLICY
        - EDIT POLICY EXTERNAL ID
        - CONFIRM POLICY
        - QUOTE POLICY
        - RETRIEVING QUOTE
        - STOP POLICY
        - SUSPEND POLICY
        - ACTIVATE POLICY
        - GENERATE MANDATE SIGNATURE REQUEST
        - GENERATE PAYMENT METHOD SECRET
        - CREATE CLAIM
        - FINALIZE RENEWAL
        - SEND CONTRACT TO SIGNATURE
        - GENERATE SIGNATURE REQUEST
        - GENERATE DOCUMENTS FOR SIGNATURE
        - APPROVE DISTRIBUTION REQUEST
        - DENY DISTRIBUTION REQUEST
        - REVOKED_DISTRIBUTION_REQUEST
        - DELETE DISTRIBUTION REQUEST
        - WAITING FOR SIGNATURE DISTRIBUTION REQUEST
        - UPDATE POLICY QUOTE

````